@page
@model Todoer.Pages.Todos.IndexModel

@{
    ViewData["Title"] = "Index";
}

<h1>Index</h1>

<p>
    <a asp-page="Create">Create New</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Todo[0].Completed)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Todo[0].Description)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Todo[0].DueBy)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        <partial name="_TodoRows" model="Model.Todo" />
    </tbody>
</table>
